package org.springblade.estate.feign;

import org.springblade.estate.entity.AccessFacePushRecords;
import org.springblade.estate.vo.AccessFacePushRecordsVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class AccessFacePushRecordsClientFallback implements IAccessFacePushRecordsClient {
            /**
         * 详情
         */
        @Override
        public AccessFacePushRecordsVO detail(AccessFacePushRecords accessFacePushRecords) {
            return null;
        }

        /**
         * 查询 出入记录
         */
        @Override
        public List<AccessFacePushRecordsVO> list(AccessFacePushRecords accessFacePushRecords) {
            return null;
        }

    

        /**
         * 新增 出入记录
         */
        @Override
        public boolean save( AccessFacePushRecords accessFacePushRecords) {
            return false;
        }

        /**
         * 修改 出入记录
         */
        @Override
        public boolean update( AccessFacePushRecords accessFacePushRecords) {
            return false;
        }

        /**
         * 新增或修改 出入记录
         */
        @Override
        public boolean submit( AccessFacePushRecords accessFacePushRecords) {
            return false;
        }

    
        /**
         * 删除 出入记录
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
